XCTestConventionPlugin (Gradle API 8.12)
Description: declaration: package: org.gradle.nativeplatform.test.xctest.plugins, class: XCTestConventionPlugin

Package org.gradle.nativeplatform.test.xctest.plugins

# Class XCTestConventionPlugin

java.lang.Object
org.gradle.nativeplatform.test.xctest.plugins.XCTestConventionPlugin

All Implemented Interfaces:
  `Plugin<Project>`

public abstract class XCTestConventionPlugin extends Object implements Plugin<Project>
A plugin that sets up the infrastructure for testing native binaries with XCTest test framework. It also adds conventions on top of it.

Since:
  4.2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XCTestConventionPlugin(org.gradle.nativeplatform.toolchain.internal.xcode.MacOSSdkPlatformPathLocator sdkPlatformPathLocator, org.gradle.language.nativeplatform.internal.toolchains.ToolChainSelector toolChainSelector, org.gradle.language.internal.NativeComponentFactory componentFactory, ObjectFactory objectFactory, org.gradle.api.internal.attributes.AttributesFactory attributesFactory, TargetMachineFactory targetMachineFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project project)`
  Apply this plugin to the given target object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XCTestConventionPlugin

    @Inject public XCTestConventionPlugin(org.gradle.nativeplatform.toolchain.internal.xcode.MacOSSdkPlatformPathLocator sdkPlatformPathLocator, org.gradle.language.nativeplatform.internal.toolchains.ToolChainSelector toolChainSelector, org.gradle.language.internal.NativeComponentFactory componentFactory, ObjectFactory objectFactory, org.gradle.api.internal.attributes.AttributesFactory attributesFactory, TargetMachineFactory targetMachineFactory)

- ## Method Details

  - ### apply

    public void apply(Project project)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `project` - The target object